<p>Cílem bakalářské práce bylo vytvoření aplikace pro správu výsledků sportovních klubů. Mezi důležité součásti tvorby aplikace patřil návrh databázového modelu, který musel být dostatečně obecný, aby se dal využít pro správu výsledků z&nbsp;různých sportů. Sportovní manažer navíc nabízí podporu pro databázové systémy MySQL a&nbsp;Oracle, což vedlo k&nbsp;prozkoumání odlišností mezi těmito systémy – nejen během návrhu databázové modelu a&nbsp;propojení se skriptovacím jazykem PHP, ale i&nbsp;ve vlastním přístupu k&nbsp;databázi.</p>

<p>Sportovní manažer je už od dokončení vývoje základního jádra použitelný i&nbsp;v&nbsp;praxi. Jelikož vývoj stále probíhá, tak v&nbsp;současnosti aplikace nenabízí uživatelskou přívětivost, která by dokázala ohromit a&nbsp;přitáhnout běžného uživatele při prvním kontaktu s&nbsp;aplikací. V&nbsp;oblasti programování se výhodou stalo použití architektury MVC, která jasně oddělila aplikační od prezentační logiky, a&nbsp;tvorba jednotkových testů, které napomohly nejen k&nbsp;jednoduššímu <mark>nalézání </mark>rozdílů při propojení PHP s&nbsp;databázemi MySQL a&nbsp;Oracle. Mezi ideální rozhodnutí nelze zařadit současný stav namapování objektů na databázové tabulky, který způsobuje občasnou duplicitu kódu, která se ale neprojevila během vývoje jádra aplikace, ale až při následném rozšiřování jednotlivých modulů.</p>

<p>V&nbsp;aplikaci zbývá dokončit vývoj nadstavby modulu zápasy, poté již budou využívány všechny tabulky z&nbsp;databáze. Další vývoj bude směřovat k&nbsp;vylepšení uživatelské přivětivosti, vytvoření standardního instalátoru a&nbsp;pokročilejšímu zpracování vlastních dat z&nbsp;databáze (grafy, statistiky, filtrování výsledků). K&nbsp;budoucímu vývoji samozřejmě patří také opravy nalezených chyb, nekončící refactoring kódu a&nbsp;případné implementování nových vlastností podle požadavků uživatelů sportovního manažeru.</p>

<p><abbr>CMS</abbr> <mark>Napsat kloudný závěr</mark></p>
